Login
Newsletter
Werbung

Sicherheit: Pufferüberläufe in Samba
Aktuelle Meldungen Distributionen
Name: Pufferüberläufe in Samba
ID: SUSE-SU-2012:0500-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Desktop 11 SP1, SUSE Linux Enterprise Server 11 SP1, SUSE Linux Enterprise Software Development Kit 11 SP1, SUSE Linux Enterprise Server 11 SP1 for VMware, SUSE Linux Enterprise Desktop 11 SP2, SUSE Linux Enterprise Server 11 SP2, SUSE Linux Enterprise Server 10 GPLv3 Extras
Datum: Sa, 14. April 2012, 10:39
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1182
Applikationen: Samba

Originalnachricht

   SUSE Security Update: Security update for Samba
______________________________________________________________________________

Announcement ID: SUSE-SU-2012:0500-1
Rating: critical
References: #722663 #732572 #742885 #747906 #752797
Cross-References: CVE-2012-1182
Affected Products:
SUSE Linux Enterprise Software Development Kit 11 SP1
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP1 for VMware
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 10 GPLv3 Extras
SUSE Linux Enterprise Desktop 11 SP2
SUSE Linux Enterprise Desktop 11 SP1
______________________________________________________________________________

An update that solves one vulnerability and has four fixes
is now available.

Description:


A remote code execution flaw in Samba has been fixed:

* CVE-2012-1182: PIDL based autogenerated code uses
client supplied size values which allows attackers to write
beyond the allocated array size

Also the following bugs have been fixed:

* Samba printer name marshalling problems (bnc#722663)
* mount.cifs: properly update mtab during remount
(bnc#747906)
* s3: compile IDL files in autogen, some configure
tests need this.
* Fix incorrect types in the full audit VFS module. Add
null terminators to audit log enums (bnc#742885)
* Do not map POSIX execute permission to Windows
FILE_READ_ATTRIBUTES; (bso#8631); (bnc#732572).

Security Issue reference:

* CVE-2012-1182
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1182
>


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 11 SP1:

zypper in -t patch sdksp1-cifs-mount-6124

- SUSE Linux Enterprise Server 11 SP2:

zypper in -t patch slessp1-cifs-mount-6124

- SUSE Linux Enterprise Server 11 SP1 for VMware:

zypper in -t patch slessp1-cifs-mount-6124

- SUSE Linux Enterprise Server 11 SP1:

zypper in -t patch slessp1-cifs-mount-6124

- SUSE Linux Enterprise Desktop 11 SP2:

zypper in -t patch sledsp1-cifs-mount-6124

- SUSE Linux Enterprise Desktop 11 SP1:

zypper in -t patch sledsp1-cifs-mount-6124

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 11 SP1 (i586 ia64 ppc64
s390x x86_64):

libnetapi-devel-3.4.3-1.38.1
libnetapi0-3.4.3-1.38.1
libsmbclient-devel-3.4.3-1.38.1
libsmbsharemodes-devel-3.4.3-1.38.1
libsmbsharemodes0-3.4.3-1.38.1
libtalloc-devel-3.4.3-1.38.1
libtdb-devel-3.4.3-1.38.1
libwbclient-devel-3.4.3-1.38.1
samba-devel-3.4.3-1.38.1

- SUSE Linux Enterprise Server 11 SP2 (i586 ia64 ppc64 s390x x86_64):

cifs-mount-3.4.3-1.38.1
libtalloc1-3.4.3-1.38.1

- SUSE Linux Enterprise Server 11 SP2 (ppc64 s390x x86_64):

libtalloc1-32bit-3.4.3-1.38.1

- SUSE Linux Enterprise Server 11 SP2 (ia64):

libtalloc1-x86-3.4.3-1.38.1

- SUSE Linux Enterprise Server 11 SP1 for VMware (i586 x86_64):

cifs-mount-3.4.3-1.38.1
ldapsmb-1.34b-11.28.38.1
libsmbclient0-3.4.3-1.38.1
libtalloc1-3.4.3-1.38.1
libtdb1-3.4.3-1.38.1
libwbclient0-3.4.3-1.38.1
samba-3.4.3-1.38.1
samba-client-3.4.3-1.38.1
samba-krb-printing-3.4.3-1.38.1
samba-winbind-3.4.3-1.38.1

- SUSE Linux Enterprise Server 11 SP1 for VMware (x86_64):

libsmbclient0-32bit-3.4.3-1.38.1
libtalloc1-32bit-3.4.3-1.38.1
libtdb1-32bit-3.4.3-1.38.1
libwbclient0-32bit-3.4.3-1.38.1
samba-32bit-3.4.3-1.38.1
samba-client-32bit-3.4.3-1.38.1
samba-winbind-32bit-3.4.3-1.38.1

- SUSE Linux Enterprise Server 11 SP1 for VMware (noarch):

samba-doc-3.4.3-1.38.1

- SUSE Linux Enterprise Server 11 SP1 (i586 ia64 ppc64 s390x x86_64):

cifs-mount-3.4.3-1.38.1
ldapsmb-1.34b-11.28.38.1
libsmbclient0-3.4.3-1.38.1
libtalloc1-3.4.3-1.38.1
libtdb1-3.4.3-1.38.1
libwbclient0-3.4.3-1.38.1
samba-3.4.3-1.38.1
samba-client-3.4.3-1.38.1
samba-krb-printing-3.4.3-1.38.1
samba-winbind-3.4.3-1.38.1

- SUSE Linux Enterprise Server 11 SP1 (ppc64 s390x x86_64):

libsmbclient0-32bit-3.4.3-1.38.1
libtalloc1-32bit-3.4.3-1.38.1
libtdb1-32bit-3.4.3-1.38.1
libwbclient0-32bit-3.4.3-1.38.1
samba-32bit-3.4.3-1.38.1
samba-client-32bit-3.4.3-1.38.1
samba-winbind-32bit-3.4.3-1.38.1

- SUSE Linux Enterprise Server 11 SP1 (noarch):

samba-doc-3.4.3-1.38.1

- SUSE Linux Enterprise Server 11 SP1 (ia64):

libsmbclient0-x86-3.4.3-1.38.1
libtalloc1-x86-3.4.3-1.38.1
libtdb1-x86-3.4.3-1.38.1
libwbclient0-x86-3.4.3-1.38.1
samba-client-x86-3.4.3-1.38.1
samba-winbind-x86-3.4.3-1.38.1
samba-x86-3.4.3-1.38.1

- SUSE Linux Enterprise Server 10 GPLv3 Extras (i586 ia64 ppc s390x x86_64):

libnetapi-devel-3.4.3-0.41.1
libnetapi0-3.4.3-0.41.1
libtalloc-devel-3.4.3-0.41.1
libtalloc1-3.4.3-0.41.1
libtdb-devel-3.4.3-0.41.1
libtdb1-3.4.3-0.41.1
libwbclient-devel-3.4.3-0.41.1
libwbclient0-3.4.3-0.41.1
samba-gplv3-3.4.3-0.41.1
samba-gplv3-client-3.4.3-0.41.1
samba-gplv3-krb-printing-3.4.3-0.41.1
samba-gplv3-winbind-3.4.3-0.41.1

- SUSE Linux Enterprise Server 10 GPLv3 Extras (noarch):

samba-gplv3-doc-3.4.3-0.41.1

- SUSE Linux Enterprise Desktop 11 SP2 (i586 x86_64):

cifs-mount-3.4.3-1.38.1
libtalloc1-3.4.3-1.38.1

- SUSE Linux Enterprise Desktop 11 SP2 (x86_64):

libtalloc1-32bit-3.4.3-1.38.1

- SUSE Linux Enterprise Desktop 11 SP1 (i586 x86_64):

cifs-mount-3.4.3-1.38.1
libsmbclient0-3.4.3-1.38.1
libtalloc1-3.4.3-1.38.1
libtdb1-3.4.3-1.38.1
libwbclient0-3.4.3-1.38.1
samba-3.4.3-1.38.1
samba-client-3.4.3-1.38.1
samba-krb-printing-3.4.3-1.38.1
samba-winbind-3.4.3-1.38.1

- SUSE Linux Enterprise Desktop 11 SP1 (x86_64):

libsmbclient0-32bit-3.4.3-1.38.1
libtalloc1-32bit-3.4.3-1.38.1
libtdb1-32bit-3.4.3-1.38.1
libwbclient0-32bit-3.4.3-1.38.1
samba-32bit-3.4.3-1.38.1
samba-client-32bit-3.4.3-1.38.1
samba-winbind-32bit-3.4.3-1.38.1

- SUSE Linux Enterprise Desktop 11 SP1 (noarch):

samba-doc-3.4.3-1.38.1


References:

http://support.novell.com/security/cve/CVE-2012-1182.html
https://bugzilla.novell.com/722663
https://bugzilla.novell.com/732572
https://bugzilla.novell.com/742885
https://bugzilla.novell.com/747906
https://bugzilla.novell.com/752797
?keywords=3bd8f1f0b7951916141df8d3c918f1a5
?keywords=a26eb82dd0f2acd52392bd054ba1ef36

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Gewinnspiel
Neue Nachrichten
Werbung